<?php
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
$id_shop='6605';//ID площадки на WorldKassa
$hash='efasHgjGHFGHASGA';//Секретный ключ (HASH)
if (isset($_POST['id_shop']) && is_numeric($_POST['id_shop']) && isset($_POST['id_bill']) && is_numeric($_POST['id_bill']) && isset($_POST['summa']) && is_numeric($_POST['summa']) && isset($_POST['hash']))
{
if($_POST['hash']!=md5($hash.$id_shop.$_POST['id_bill'].$_POST['summa']))
{
			//Можно поставить уведомление, что не совпал хеш
}else{

$pay = $db->prepare('SELECT * FROM `pay` WHERE `key` = ?');
$pay -> execute([$_POST['id_bill']]);
$pay = $pay -> fetch(PDO :: FETCH_ASSOC);
$sql = $db->prepare('UPDATE `pay` SET `status` = ? WHERE `id` = ?');
$sql -> execute(['success',$pay['id']]);
print_r($pay);

}
}